# BukkitRootCommand (ACF (Bukkit) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: BukkitRootCommand

Package co.aikar.commands

# Class BukkitRootCommand

java.lang.Object
org.bukkit.command.Command
co.aikar.commands.BukkitRootCommand

All Implemented Interfaces:
  `co.aikar.commands.RootCommand`, `org.bukkit.command.PluginIdentifiableCommand`

public class BukkitRootCommand extends org.bukkit.command.Command implements co.aikar.commands.RootCommand, org.bukkit.command.PluginIdentifiableCommand

## Field Summary

### Fields inherited from class org.bukkit.command.Command

`description, timings, usageMessage`

## Method Summary

Modifier and Type
Method
Description
`void`
`addChild(co.aikar.commands.BaseCommand command)`
`boolean`
`execute(org.bukkit.command.CommandSender sender, String commandLabel, String[] args)`
`List<co.aikar.commands.BaseCommand>`
`getChildren()`
`String`
`getCommandName()`
`co.aikar.commands.BaseCommand`
`getDefCommand()`
`String`
`getDescription()`
`co.aikar.commands.CommandManager`
`getManager()`
`org.bukkit.plugin.Plugin`
`getPlugin()`
`com.google.common.collect.SetMultimap<String,co.aikar.commands.RegisteredCommand>`
`getSubCommands()`
`List<String>`
`tabComplete(org.bukkit.command.CommandSender sender, String commandLabel, String[] args)`
`boolean`
`testPermissionSilent(org.bukkit.command.CommandSender target)`

### Methods inherited from class org.bukkit.command.Command

`broadcastCommandMessage, broadcastCommandMessage, broadcastCommandMessage, broadcastCommandMessage, getAliases, getLabel, getName, getPermission, getPermissionMessage, getTimingName, getUsage, isRegistered, permissionMessage, permissionMessage, register, setAliases, setDescription, setLabel, setName, setPermission, setPermissionMessage, setUsage, tabComplete, testPermission, toString, unregister`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface co.aikar.commands.RootCommand

`addChildShared, execute, getDefaultRegisteredCommand, getTabCompletions, getTabCompletions, getTabCompletions, getUniquePermission, getUsage, hasAnyPermission`

## Method Details

### getDescription

public String getDescription()

Specified by:
  `getDescription` in interface `co.aikar.commands.RootCommand`
Overrides:
  `getDescription` in class `org.bukkit.command.Command`

### getCommandName

public String getCommandName()

Specified by:
  `getCommandName` in interface `co.aikar.commands.RootCommand`

### tabComplete

public List<String> tabComplete (org.bukkit.command.CommandSender sender, String commandLabel, String[] args) throws IllegalArgumentException

Overrides:
  `tabComplete` in class `org.bukkit.command.Command`
Throws:
  `IllegalArgumentException`

### execute

public boolean execute (org.bukkit.command.CommandSender sender, String commandLabel, String[] args)

Specified by:
  `execute` in class `org.bukkit.command.Command`

### testPermissionSilent

public boolean testPermissionSilent (org.bukkit.command.CommandSender target)

Overrides:
  `testPermissionSilent` in class `org.bukkit.command.Command`

### addChild

public void addChild (co.aikar.commands.BaseCommand command)

Specified by:
  `addChild` in interface `co.aikar.commands.RootCommand`

### getManager

public co.aikar.commands.CommandManager getManager()

Specified by:
  `getManager` in interface `co.aikar.commands.RootCommand`

### getSubCommands

public com.google.common.collect.SetMultimap<String,co.aikar.commands.RegisteredCommand> getSubCommands()

Specified by:
  `getSubCommands` in interface `co.aikar.commands.RootCommand`

### getChildren

public List<co.aikar.commands.BaseCommand> getChildren()

Specified by:
  `getChildren` in interface `co.aikar.commands.RootCommand`

### getDefCommand

public co.aikar.commands.BaseCommand getDefCommand()

Specified by:
  `getDefCommand` in interface `co.aikar.commands.RootCommand`

### getPlugin

public org.bukkit.plugin.Plugin getPlugin()

Specified by:
  `getPlugin` in interface `org.bukkit.command.PluginIdentifiableCommand`